
Packaging - Feature #31901

ruby-foreman-azure-rm package not available on Debian 10

02/17/2021 09:24 AM - Adam Cécile

Status: New   

Priority: Normal   

Assignee:    

Category: Debian/Ubuntu   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases: 2.3.2

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Hello,

While trying to run foreman-installer to enable Azure RM plugin:

2021-02-17 10:21:12 [ERROR ] [configure] Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=-

-force-confold install ruby-foreman-azure-rm' returned 100: Reading package lists...

2021-02-17 10:21:12 [ERROR ] [configure] Building dependency tree...

2021-02-17 10:21:12 [ERROR ] [configure] Reading state information...

2021-02-17 10:21:12 [ERROR ] [configure] E: Unable to locate package ruby-foreman-azure-rm

2021-02-17 10:21:12 [ERROR ] [configure] /Stage[main]/Foreman::Plugin::Azure/Foreman::Plugin[azure

_rm]/Package[ruby-foreman-azure-rm]/ensure: change from 'purged' to 'present' failed: Execution of

 '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install ruby-foreman-azure-rm' returne

d 100: Reading package lists...

2021-02-17 10:21:12 [ERROR ] [configure] Building dependency tree...

2021-02-17 10:21:12 [ERROR ] [configure] Reading state information...

2021-02-17 10:21:12 [ERROR ] [configure] E: Unable to locate package ruby-foreman-azure-rm

 Is that a known issue ? Is there something I can do to help ?

Best regards, Adam.

History

#1 - 02/18/2021 12:04 AM - Ewoud Kohl van Wijngaarden

- Tracker changed from Bug to Feature

- Project changed from Foreman to Packaging

- Category changed from Packaging to Debian/Ubuntu

- Triaged changed from No to Yes

I think this is simply a case where nobody took the time to package it. I'm not aware of a fundamental reason why it couldn't work. 

https://github.com/theforeman/foreman-packaging/tree/deb/develop does have some README and that would be a good start. If have even a partial

PR, submitting it ok. Just clearly describe what the status is and where you got stuck.

#2 - 03/03/2021 04:26 PM - Adam Cécile

Hello,

I did all the packaging sadly plugin does not shows up inside Foreman, I'm not sure how to check why...

https://github.com/theforeman/foreman-packaging/pull/6371
